CREATE TABLE CRST_FA_DEPRN_DETAIL
(
  BOOK_TYPE_CODE                 VARCHAR2(15 BYTE),
  ASSET_ID                       NUMBER(15),
  PERIOD_COUNTER                 NUMBER(15),
  DISTRIBUTION_ID                NUMBER(15),
  DEPRN_SOURCE_CODE              VARCHAR2(1 BYTE),
  DEPRN_RUN_DATE                 DATE,
  DEPRN_AMOUNT                   NUMBER,
  YTD_DEPRN                      NUMBER,
  DEPRN_RESERVE                  NUMBER,
  ADDITION_COST_TO_CLEAR         NUMBER,
  COST                           NUMBER,
  DEPRN_ADJUSTMENT_AMOUNT        NUMBER,
  DEPRN_EXPENSE_JE_LINE_NUM      NUMBER(15),
  DEPRN_RESERVE_JE_LINE_NUM      NUMBER(15),
  REVAL_AMORT_JE_LINE_NUM        NUMBER(15),
  REVAL_RESERVE_JE_LINE_NUM      NUMBER(15),
  JE_HEADER_ID                   NUMBER(15),
  REVAL_AMORTIZATION             NUMBER,
  REVAL_DEPRN_EXPENSE            NUMBER,
  REVAL_RESERVE                  NUMBER,
  YTD_REVAL_DEPRN_EXPENSE        NUMBER,
  BONUS_DEPRN_AMOUNT             NUMBER,
  BONUS_YTD_DEPRN                NUMBER,
  BONUS_DEPRN_RESERVE            NUMBER,
  BONUS_DEPRN_ADJUSTMENT_AMOUNT  NUMBER,
  BONUS_DEPRN_EXP_JE_LINE_NUM    NUMBER(15),
  BONUS_DEPRN_RSV_JE_LINE_NUM    NUMBER(15)
);
